#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libdvdcss-1.4.3

- Next

  Libdvdnav-6.1.1

- Up
- Home

# Libdvdread-6.1.2

## Introduction to Libdvdread

libdvdread is a library which provides a simple foundation for reading DVDs.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://get.videolan.org/libdvdread/6.1.2/libdvdread-6.1.2.tar.bz2

- Download MD5 sum: 034581479968405ed415c34a50d00224

- Download size: 384 KB

- Estimated disk space required: 3.8 MB

- Estimated build time: less than 0.1 SBU

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libdvdread

## Installation of Libdvdread

Install libdvdread by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libdvdread-6.1.2 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libdvdread.so
Installed Directories: /usr/include/dvdread and /usr/share/doc/libdvdread-6.1.2

### Short Descriptions

`libdvdread.so` | provides functionality required to access DVDs

Last updated on

- Prev

  libdvdcss-1.4.3

- Next

  Libdvdnav-6.1.1

- Up
- Home